ptpd2(8)

NAME
ptpd2 - Precision Time Protocol daemon (1588-2008)

SYNOPSIS
ptpd2 [?] [-B] [-c] [-C] [-S] [-f FILE] [-R FILE] [-d] [-D] [-P] [-x] [-O NUMBER] [-M NUMBER] [-t] [-T ttl] [-a NUMBER,NUMBER] [-w NUMBER] [-b NAME] [-u ADDRESS] [-I group] [-U] [-e] [-h] [-l NUMBER,NUMBER] [-o NUMBER] [-i NUMBER] [-n NUMBER] [-y NUMBER] [-m NUMBER] [-V NUMBER] [-g] [-v NUMBER] [-r NUMBER] [-N NUMBER] [-s NUMBER] [-p NUMBER] [-q NUMBER] [-G] [-W] [-Y NUMBER] [-L] [-j]

DESCRIPTION
Implements the Precision Time Protocol (PTP) Version 2 as defined by the IEEE 1588-2008 standard. PTP was developed to provide very precise time coordination of LAN connected computers.

PTPd is a complete implementation of the IEEE 1588 v2 specification for a standard (ordinary) clock. PTPd has been tested with and is known to work properly with other IEEE 1588 implementations. The source code for PTPd is freely available under a BSD-style license. Thanks to contributions from users, PTPd is becoming an increasingly portable, interoperable, and stable IEEE 1588 implementation.

For more information, see http://ptpd.sourceforge.net/

OPTIONS

-?  display a short help text

-B  enable debugging if it has been previously compiled in

-c  run in command line (non-daemon) mode

-C  run in command line mode and display statistics and logs

-S  do not log information to syslog

-f FILE
    send output to FILE

-R FILE
    record a quality FILE

-d  display stats

-D  display stats in .csv format

-x  do not reset the clock if off by more than one second

-M NUMBER
    do not accept delay values of more than NUMBER nanoseconds

-O NUMBER
    do not reset the clock if offset is more than NUMBER nanoseconds

-P  display packets received for debugging purposes

-t  do not adjust the system clock

-T  set multicast TTL for packets. Defaults to 1.

-a NUMBER,NUMBER
    specify clock servo P and I attenuations

-w NUMBER
    specify one way delay filter stiffness

-b NAME
    bind PTP to network interface NAME

-u ADDRESS
    also send uni-cast to ADDRESS

-I  multicast group for PTP_EXPERIMENTAL mode

-U  enable hybrid mode which uses both unicast and multicast, requires PTP_EXPERIMENTAL

-e  run in ethernet mode (currently unimplemented)

-h  run in End to End mode

-l NUMBER,NUMBER
    specify inbound, outbound latency in nsec

-o NUMBER
    specify current UTC offset

-i NUMBER
    specify PTP domain number

-n NUMBER
    specify announce interval in 2^NUMBER sec

-y NUMBER
    specify sync interval in 2^NUMBER sec

-m NUMBER
    specify max number of foreign master records

-N NUMBER
    announce receipt timeout

-V  limit displaying statistics by setting the seconds between log messages

-g  run as slave only

-v NUMBER
    specify system clock allen variance

-r NUMBER
    specify system clock accuracy

-s NUMBER
    specify system clock class

-p NUMBER
    specify priority1 attribute

-q NUMBER
    specify priority2 attribute

-G  run as master with connection to NTP

-W  run as master without NTP

-Y NUMBER
    set an initial delay request value

-L  enable running multiple ptpd2 daemons

-j  turn off IGMP refresh messages

AUTHORS
Gael Mace <gael_mace@users.sourceforge.net> & Alexandre Van Kempen.

Steven Kreuzer <skreuzer@freebsd.org>

George Neville-Neil <gnn@freebsd.org>

This manual page was written by Gael Mace for any Linux environment project.